Draft BezCurve/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "Bezier eğrisi aracı, mevcut Çalışma düzlemi ile birkaç noktadan [http://en.wikipedia.org/wiki/Bezier_curve Bezier Eğrisi] (veya parça parç...")
(Created page with "Nesne, tek bir Bezier derece eğrisi olarak oluşturulur (nokta sayısı - 1). Bu, Özellikler kullanılarak yaratıldıktan sonra belirli bir dereceye kadar...")
Line 7: Line 7:
Bezier eğrisi aracı, mevcut [[Draft SelectPlane/tr | Çalışma düzlemi]] ile birkaç noktadan [http://en.wikipedia.org/wiki/Bezier_curve Bezier Eğrisi] (veya parça parça Bezier Eğrisi) oluşturur. Görevler sekmesinde önceden ayarlanmış olan [[Draft Linestyle/tr | Çizgi stili]]ni alır.
Bezier eğrisi aracı, mevcut [[Draft SelectPlane/tr | Çalışma düzlemi]] ile birkaç noktadan [http://en.wikipedia.org/wiki/Bezier_curve Bezier Eğrisi] (veya parça parça Bezier Eğrisi) oluşturur. Görevler sekmesinde önceden ayarlanmış olan [[Draft Linestyle/tr | Çizgi stili]]ni alır.


The object is created as a single Bezier Curve of degree (number_of_points - 1). This can be changed to a piecewise Bezier Curve of a specified degree after creation using the [[Property|properties editor]]. Bezier Curves can be edited using {{KEY|[[Image:Draft Edit.png|16px]] [[Draft Edit]]}}.
Nesne, tek bir Bezier derece eğrisi olarak oluşturulur (nokta sayısı - 1). Bu, [[Property/tr |Özellikler]] kullanılarak yaratıldıktan sonra belirli bir dereceye kadar parçalı bir Bezier Eğrisi olarak değiştirilebilir. Bezier Eğrileri, {{KEY | [[Image: Draft Edit.png | 16px]] [[Draft Edit/tr|Düzenle]]}} kullanılarak düzenlenebilir.


[[Image:Draft_BezCurve_Example.png|400px]]
[[Image:Draft_BezCurve_Example.png|400px]]

Revision as of 18:22, 4 January 2019

Bezier eğrisi

Menü konumu
Taslak → Bezier eğrisi
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
B Z
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Tanım

Bezier eğrisi aracı, mevcut Çalışma düzlemi ile birkaç noktadan Bezier Eğrisi (veya parça parça Bezier Eğrisi) oluşturur. Görevler sekmesinde önceden ayarlanmış olan Çizgi stilini alır.

Nesne, tek bir Bezier derece eğrisi olarak oluşturulur (nokta sayısı - 1). Bu, Özellikler kullanılarak yaratıldıktan sonra belirli bir dereceye kadar parçalı bir Bezier Eğrisi olarak değiştirilebilir. Bezier Eğrileri, Düzenle kullanılarak düzenlenebilir.

How to use

  1. Press the Draft BezCurve button, or press B then Z keys.
  2. Click a first point on the 3D view, or type a coordinate
  3. Click additional point on the 3D view, or type a coordinate
  4. Press F or C, or double-click the last point, or click on the first point to finish and close the curve.

Options

  • Press F or the Finish button to finish the spline, leaving it open
  • Press C or the Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BezCurve tool will restart after you finish or close it, allowing you to draw another one without pressing the BezCurve button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current BezCurve command.

Properties

  • VeriClosed: Specifies if the Bezier Curve is closed or not
  • VeriDegree: Specifies the degree of the Bezier Curve (or segments)

Scripting

The BezCurve tool can by used in macros and from the python console by using the following function:

makeBezCurve(pointslist,[closed],[placement],[support],[degree])
  • Create a Bezier Curve object from the given list of vectors. Instead of a pointslist, you can also pass a Part Wire.

Example:

import FreeCAD,Draft
myFeature = Draft.makeBezCurve(Draft.makeBezCurve(points,False)

Contraining Nodes

The segment endpoints in a piecewise Bezier Curve can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. This is done after object creation using Draft Edit.

  • Sharp - remove constraints
  • Tangent - force adjacent control points to be tangent
  • Symmetric - force adjacent control points to be tangent and equi-distant

Limitations

  • This tool is not available before FreeCAD version 0.14
  • The Points Property does not yet appear in the properties list.
  • OpenCascade does not support Bezier Curve with degree > 25. This should not be a problem in practice.